=== debian/changelog ===
libocas (0.93-1) unstable; urgency=low

  * Initial release (Closes: #585788)
  * debian/patches:
    - 0001-Properly-build-shared-and-static-libraries-programs

 -- Christian Kastner <debian@kvr.at>  Thu, 17 Jun 2010 16:38:22 +0200
