=== debian/control ===
Source: libocas
Section: libs
Priority: optional
Maintainer: Christian Kastner <debian@kvr.at>
Build-Depends:
    debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://cmp.felk.cvut.cz/~xfrancv/ocas/html/
Vcs-Git: git://scm.kvr.at/git/pkg-libocas.git
Vcs-Browser: http://scm.kvr.at/git/pkg-libocas.git;a=summary

Package: libocas-dev
Section: libdevel
Architecture: any
Depends:
    ${misc:Depends},
    libocas0 (= ${binary:Version})
Description: Development libraries and header files for LIBOCAS
 This library implements Optimized Cutting Plane Algorithm (OCAS) for
 training linear Support Vector Machine (SVM) classifiers from
 large-scale data. The computational effort of OCAS scales linearly with
 the number of training examples. It is one of the fastest SVM solvers
 around for solving linear and multiclass L2 regularized SVMs.
 .
 This package contains the header files and static libraries.

Package: libocas0
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libocas-tools (= ${binary:Version})
Suggests:
    libocas-dev (= ${binary:Version})
Description: OCAS solver for training linear SVM classifiers
 This library implements Optimized Cutting Plane Algorithm (OCAS) for
 training linear Support Vector Machine (SVM) classifiers from
 large-scale data. The computational effort of OCAS scales linearly with
 the number of training examples. It is one of the fastest SVM solvers
 around for solving linear and multiclass L2 regularized SVMs.
 .
 This package contains the shared libraries.

Package: libocas-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
    ${misc:Depends},
    libocas0 (= ${binary:Version}),
    libocas-tools (= ${binary:Version})
Description: Debugging symbols for LIBOCAS
 This library implements Optimized Cutting Plane Algorithm (OCAS) for
 training linear Support Vector Machine (SVM) classifiers from
 large-scale data. The computational effort of OCAS scales linearly with
 the number of training examples. It is one of the fastest SVM solvers
 around for solving linear and multiclass L2 regularized SVMs.
 .
 This package contains the debugging symbols.

Package: libocas-tools
Section: science
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    libocas0 (= ${binary:Version})
Description: Standalone applications implementing the OCAS solver
 This library implements Optimized Cutting Plane Algorithm (OCAS) for
 training linear Support Vector Machine (SVM) classifiers from
 large-scale data. The computational effort of OCAS scales linearly with
 the number of training examples. It is one of the fastest SVM solvers
 around for solving linear and multiclass L2 regularized SVMs.
 .
 This package contains the standalone applications.
