=== debian/watch ===
version=3

opts=dversionmangle=s/\.// \
http://cmp.felk.cvut.cz/~xfrancv/ocas/libocas_v(.*).zip
