## libocas 0.97

=== debian/changelog ===
libocas (0.97-1) unstable; urgency=medium

  * New upstream release.
    - Upstream renamed the linclass executable to linclassif
  * debian/libocas-tools.*
    debian/{linclassif,svmocas,msvmocas}.1:
    - Adjust for upstream-renamed executable
  * debian/NEWS:
    - Add to notify users of the renamed linclassif
  * Migrate git repo to Debian-Science at git.debian.org
  * debian/control:
    - Update VCS-* URLs to point to new location
    - Add XS-Testsuite for autopkgtest
  * debian/tests/*:
    - Add an autopkgtest "executables" that runs the examples from the
      documentation
  * debian/watch:
    - Mangle uversion instead of dversion, otherwise uscan renames using
      the unwanted version number
  * debian/libocas0.symbols:
    - Update with new symbol
  * debian/patches (refreshed):
    - 0001-Properly-build-shared-and-static-libraries-programs
      Refresh Makefile patch to new upstream version

 -- Christian Kastner <debian@kvr.at>  Sun, 24 Aug 2014 15:26:04 -0700

libocas (0.93-3) unstable; urgency=low

  * debian/control:
    - Add Multi-Arch fields to packages where necessary
    - Add Pre-Depends for package liblinear1
  * debian/rules:
    - Install to multi-arch locations
  * debian/patches (updated):
    - 0001-Properly-build-shared-and-static-libraries-programs
      Add an install target to upstream's Makefile, with configurable
      destinations for libraries and executables
  * debian/*.install:
    - Update paths as a consequence of the new install target and
      multi-arch-ification

 -- Christian Kastner <debian@kvr.at>  Sun, 27 Jul 2014 00:52:22 +0200

libocas (0.93-2) unstable; urgency=low

  * debian/copyright:
    - Corrected upstream license version from GPL-3+ to GPL-3. Thanks to
      Vincent Cheng for catching this. Closes: #751668
  * debian/control:
    - Bumped Standards-Version to 3.9.5 (no changes required)
    - Bumped debhelper dependency to 9
    - Demoted libocas0's Recommends for libocas-tools to Suggests, so
      packages depending only on the library don't pull in the tools.
  * debian/compat:
    - Bumped debhelper compatibility level to recommended level 9
  * debian/copyright:
    - Refreshed to machine-readable copyright format 1.0
  * debian/rules:
    - Use DEB_CFLAGS_MAINT_APPEND, as recommended, instead of CFLAGS
  * debian/patches (modified):
    - 0001-Properly-build-shared-and-static-libraries-programs
      Include CPPFLAGS to avoid hardening flag warnings
  * debian/source/lintian-overrides:
    - Added override for debian-watch-may-check-gpg-signature
  * debian/libocas-tools.lintian-overrides:
    - Added override for arch-dep-package-has-big-usr-share

 -- Christian Kastner <debian@kvr.at>  Wed, 19 Feb 2014 15:33:14 +0100
