=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Christian Kastner <debian@kvr.at>
 Build-Depends:
-    debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
+    debhelper (>= 9)
+Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
 Homepage: http://cmp.felk.cvut.cz/~xfrancv/ocas/html/
-Vcs-Git: git://scm.kvr.at/git/pkg-libocas.git
-Vcs-Browser: http://scm.kvr.at/git/pkg-libocas.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/libocas.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libocas.git
 
 Package: libocas-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
     ${misc:Depends},
     libocas0 (= ${binary:Version})
@@ -26,13 +28,14 @@
 
 Package: libocas0
 Architecture: any
+Multi-Arch: same
+Pre-Depends:
+    ${misc:Pre-Depends}
 Depends:
     ${shlibs:Depends},
     ${misc:Depends}
-Recommends:
+Suggests:
     libocas-tools (= ${binary:Version})
-Suggests:
-    libocas-dev (= ${binary:Version})
 Description: OCAS solver for training linear SVM classifiers
  This library implements Optimized Cutting Plane Algorithm (OCAS) for
  training linear Support Vector Machine (SVM) classifiers from
@@ -46,6 +49,7 @@
 Priority: extra
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends:
     ${misc:Depends},
     libocas0 (= ${binary:Version}),
@@ -62,6 +66,7 @@
 Package: libocas-tools
 Section: science
 Architecture: any
+Multi-Arch: foreign
 Depends:
     ${shlibs:Depends},
     ${misc:Depends},
