=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,23 @@
 export LVER
 export LSUBVER
 
-CFLAGS = -Wall -g
+export DEB_CFLAGS_MAINT_APPEND = -Wall -g
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
+    DEB_CFLAGS_MAINT_APPEND += -O0
 else
-    CFLAGS += -O3
+    DEB_CFLAGS_MAINT_APPEND += -O3
 ifeq (amd64,$(DEB_HOST_ARCH))
-    CFLAGS += -msse
+    DEB_CFLAGS_MAINT_APPEND += -msse
 endif
 endif
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 %:
-	dh $@ 
+	dh $@
+
+override_dh_auto_install:
+	dh_auto_install -- libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/
 
 override_dh_strip:
 	dh_strip --dbg-package=libocas-dbg
