## libocas 0.97%2Bdfsg

=== debian/changelog ===
libocas (0.97+dfsg-6) unstable; urgency=medium

  * d/source/lintian-overrides: Fix syntax issue
  * d/rules: override_dh_missing for --fail-missing
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * Let dh_install install from debian/tmp, instead of source.
    Resolves a warning from dh_missing. Thanks, Niels Thykier, for the analysis and
    resolution!
  * Add Build-Depends-Package to symbols file
  * Add Fix-spelling-error.patch

 -- Christian Kastner <ckk@debian.org>  Sun, 13 Oct 2019 21:10:13 +0200

libocas (0.97+dfsg-5) unstable; urgency=medium

  * Add Rules-Requires-Root: no
    We don't need (fake)root for building the packages
  * Move our manpages from d/ to d/man
  * Drop d/*.dirs, the dh_* helpers create directories as needed
  * Break overlong line in previous changelog 0.97+dfsg-4
  * d/tests: Rename ADTTMP to AUTOPKGTEST_TMP
  * Reformat d/watch
  * Override lintian debian-watch-uses-insecure-uri
    Upstream does not offer https

 -- Christian Kastner <ckk@debian.org>  Sat, 16 Feb 2019 07:48:45 +0100

libocas (0.97+dfsg-4) unstable; urgency=medium

  * Point Vcs-* to Salsa
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Switch Build-Depends from debhelper to debhelper-compat
  * Bump Build-Depends for debhelper-compat to 12
  * Remove now obsolete d/compat
  * Update d/watch to format version 4
  * Remove d/source/lintian-overrides
    The only tag listed has been re-classified as experimental
  * Move Files-Excluded to d/copyright (from standalone file)
  * d/rules:
    - Drop get-orig-source target
      uscan with Files-Excluded is sufficient
    - Drop override_dh_strip
      It was only needed for the dbgsym migration
    - Use DEB_VERSION_UPSTREAM from dpkg/pkg-info.mk instead of parsing
      d/changelog
  * gbp.conf: Add pristine-tar, sign-tags options
  * d/copyright: Switch to https in Format field

 -- Christian Kastner <ckk@debian.org>  Mon, 11 Feb 2019 21:13:54 +0100

libocas (0.97+dfsg-3) unstable; urgency=medium

  * The previous changelog was erroneous, it contained two stale entries:
    - d/patches (updated)
    - d/rules
    Their corrections are listed in this changelog entry.
  * d/patches (updated):
    - Update patch Properly-build-shared-and-static-libraries-programs
      Filter out -pie, -fpie, and -fPIE when building the shared library
    - Drop patch numbers from .patch filenames
  * d/rules:
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
  * d/gbp.conf:
    - Compress builds using xz

 -- Christian Kastner <ckk@debian.org>  Sat, 23 Apr 2016 08:48:21 +0200

libocas (0.97+dfsg-2) unstable; urgency=medium

  * Drop package libocas-dbg in favor of automatic dbgsym packages, as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html
  * Add d/gbp.conf to disable patch numbering
  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - Switch Maintainer email to my @debian.org address
    - Switch Vcs-Browser from gitweb to cgit
    - Switch Vcs-* from insecure URIs to secure ones
  * d/patches (updated):
    - Update patch 0001-Properly-build-shared-and-static-libraries-programs
      Add separate targets for building libraries and executables
    - Drop patch numbers from .patch filenames
  * d/copyright:
    - Bump copyright years
  * d/rules:
    - Add hardening=+bindnow to DEB_BUILD_MAINT_OPTIONS
    - Add hardening=+pie to DEB_BUILD_MAINT_OPTIONS of executables

 -- Christian Kastner <ckk@debian.org>  Thu, 21 Apr 2016 19:55:20 +0200

libocas (0.97+dfsg-1) unstable; urgency=medium

  * Rebase packaging on DFSG-cleaned upstream source.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
  * debian/rules:
    - Improve version information extraction
    - Add a git-orig-source target that DFSG-cleans. The DFSG-cleaning is
      performed by uscan with the Files-Excluded header. However, as this
      header is not yet part of the official MRCF, it is placed in a separate
      file 'debian/files-excluded'
  * debian/copyright:
    - Document the DFSG-cleaning actions
    - Bump copyright years
  * debian/watch:
    - Adjust for DFSG-cleaned upstream source

 -- Christian Kastner <debian@kvr.at>  Sat, 11 Jul 2015 17:05:39 +0200
