=== debian/watch ===
version=4

# CK 2019-02-16: Upstream doesn't support https

opts=uversionmangle=s/^0/0\./,\
dversionmangle=s/\+dfsg//,\
repacksuffix=+dfsg \
http://cmp.felk.cvut.cz/~xfrancv/ocas/libocas_v(.*).zip
