=== debian/control ===
Source: libocas
Section: libs
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper (>= 9),
Standards-Version: 3.9.8
Homepage: http://cmp.felk.cvut.cz/~xfrancv/ocas/html/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libocas.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/libocas.git

Package: libocas-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
    ${misc:Depends},
    libocas0 (= ${binary:Version}),
Description: Development libraries and header files for LIBOCAS
 This library implements Optimized Cutting Plane Algorithm (OCAS) for
 training linear Support Vector Machine (SVM) classifiers from
 large-scale data. The computational effort of OCAS scales linearly with
 the number of training examples. It is one of the fastest SVM solvers
 around for solving linear and multiclass L2 regularized SVMs.
 .
 This package contains the header files and static libraries.

Package: libocas0
Architecture: any
Multi-Arch: same
Pre-Depends:
    ${misc:Pre-Depends},
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
Suggests:
    libocas-tools (= ${binary:Version}),
Description: OCAS solver for training linear SVM classifiers
 This library implements Optimized Cutting Plane Algorithm (OCAS) for
 training linear Support Vector Machine (SVM) classifiers from
 large-scale data. The computational effort of OCAS scales linearly with
 the number of training examples. It is one of the fastest SVM solvers
 around for solving linear and multiclass L2 regularized SVMs.
 .
 This package contains the shared libraries.

Package: libocas-tools
Section: science
Architecture: any
Multi-Arch: foreign
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    libocas0 (= ${binary:Version}),
Description: Standalone applications implementing the OCAS solver
 This library implements Optimized Cutting Plane Algorithm (OCAS) for
 training linear Support Vector Machine (SVM) classifiers from
 large-scale data. The computational effort of OCAS scales linearly with
 the number of training examples. It is one of the fastest SVM solvers
 around for solving linear and multiclass L2 regularized SVMs.
 .
 This package contains the standalone applications.
