=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Get version information
PKGDIR := $(dir $(firstword $(MAKEFILE_LIST)))..
DEBVER := $(shell dpkg-parsechangelog -l$(PKGDIR)/debian/changelog -S Version)
UPVER := $(shell echo $(DEBVER) | sed -re 's/\+dfsg-.*//')
LVER = $(shell echo $(UPVER) | sed -nre 's/([0-9]+)\..*/\1/p')
LSUBVER = $(shell echo $(UPVER) | sed -nre 's/[0-9]\.([0-9]+).*/\1/p')
# Version information is needed by the build process
export LVER
export LSUBVER

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    DEB_CFLAGS_MAINT_APPEND += -O0
else
    DEB_CFLAGS_MAINT_APPEND += -O3
ifeq (amd64,$(DEB_HOST_ARCH))
    DEB_CFLAGS_MAINT_APPEND += -msse
endif
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


%:
	dh $@


override_dh_auto_install:
	dh_auto_install -- libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/


override_dh_strip:
	dh_strip --dbgsym-migration='libocas-dbg (<< $(DEBVER)~)'


# Remove upstream's non-DFSG-compliant files
get-orig-source:
	uscan \
		--noconf \
		--download-version $(UPVER) \
		--force-download \
		--check-dirname-level=0 \
		--destdir=$(CURDIR) \
		--rename \
		--repack \
		--compression xz \
		--copyright-file=$(PKGDIR)/debian/files-excluded \
		$(PKGDIR)
