=== debian/tests/control ===
Tests: executables
Depends: libocas-tools
