=== debian/watch ===
version=3

opts=uversionmangle=s/^0/0\./,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
http://cmp.felk.cvut.cz/~xfrancv/ocas/libocas_v(.*).zip
